=== debian/changelog ===
ignition-math2 (2.7.0-2) unstable; urgency=medium

  * Disable Inertia test on MIPS
    (Closes: #852298)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 10 Apr 2017 22:56:21 +0000

ignition-math2 (2.7.0-1) unstable; urgency=medium

  * Imported Upstream version 2.7.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 17 Jan 2017 16:50:13 +0000
