## ignition-math2 2.9.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)
 
 set (PROJECT_MAJOR_VERSION 2)
-set (PROJECT_MINOR_VERSION 7)
+set (PROJECT_MINOR_VERSION 9)
 set (PROJECT_PATCH_VERSION 0)
 
 set (PROJECT_VERSION ${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION})
