=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 set (sources
   Angle.cc
   Box.cc
+  Color.cc
   Frustum.cc
   Helpers.cc
   IndexException.cc
@@ -23,6 +24,7 @@
 set (gtest_sources
   Angle_TEST.cc
   Box_TEST.cc
+  Color_TEST.cc
   Filter_TEST.cc
   Frustum_TEST.cc
   Helpers_TEST.cc
@@ -33,6 +35,7 @@
   MassMatrix3_TEST.cc
   Matrix3_TEST.cc
   Matrix4_TEST.cc
+  OrientedBox_TEST.cc
   PID_TEST.cc
   Plane_TEST.cc
   Pose_TEST.cc
