=== include/ignition/math/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
   AffineException.hh
   Angle.hh
   Box.hh
+  Color.hh
   Filter.hh
   Frustum.hh
   Helpers.hh
@@ -15,6 +16,7 @@
   MassMatrix3.hh
   Matrix3.hh
   Matrix4.hh
+  OrientedBox.hh
   PID.hh
   Plane.hh
   Pose3.hh
