=== debian/changelog ===
ignition-math2 (2.9.0+dfsg1-1) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * Imported Upstream version 2.9.0
    (Closes: #884083)
  * debhelper 11

  [ Andreas Tille ]
  * Removed -dbg package since it is autogenerated

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 08 Jan 2018 17:38:47 +0000

ignition-math2 (2.8.0-4) unstable; urgency=medium

  * Fix patch to avoid test failure in i386

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 08 Sep 2017 17:55:15 +0000

ignition-math2 (2.8.0-3) unstable; urgency=medium

  * Fix patch for i386

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 06 Sep 2017 21:57:39 +0000

ignition-math2 (2.8.0-2) unstable; urgency=medium

  * Update patches for non x64 arches

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 06 Sep 2017 16:03:48 +0000

ignition-math2 (2.8.0-1) unstable; urgency=medium

  * Imported Upstream version 2.8.0
  * Update standards to 4.0.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 05 Sep 2017 21:27:42 +0200
