=== debian/rules ===
#!/usr/bin/make -f

.PHONY: override_dh_auto_configure \
        override_dh_auto_test	

override_dh_auto_configure:
	dh_auto_configure -- \
                -DUSE_HOST_CFLAGS:BOOL=False \
                -DUSE_UPSTREAM_CFLAGS:BOOL=False \
                -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_test:
	dh_auto_test $@ --no-parallel --buildsystem=cmake

%:
	dh $@ --buildsystem=cmake
